Ask coding questions

← Back to all posts
can you guys upgrade pip
benstedadam

its returning an error saying pip is outdated. can you guys update it.

Voters
kelpar26
PowerSvc
TobyS
benstedadam
Comments
hotnewtop
mat1

Are there any specific reasons you need pip updated for? If so, please make a post on the feedback board.

AzureScripts

@mat1 can't you just use python's sys thing? or whatever it is to run commands?

ash15khng

@AzureScripts You can, but normally there's no real need to upgrade pip.

Gbit

@mat1 The pip version that poetry uses is outdated which means that some packages cannot be installed unless you manually upgrade pip in the shell. However everything you install using shell gets reset at some point in replit. I´m still trying to figure out a solution to make poetry update pip automatically.

stepulazapletal

just go to shell and type "pip install --upgrade pip"

Geocube101

Try adding

to the beginning of your code